import { Element } from "./Element";

/**
 * 元素的各种状态
 */
export class State extends FYGE.Container {
    constructor() {
        super()
        //状态不交互
        this.mouseEnable = false;
        this.mouseChildren = false;
    }
    //重置方法，子类重写
    reset(data: any) {

    }
    //回收,子类继承重写
    recover() {

    }
}